DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
DcmObject::PrintHelper Class Reference

helper class to print a DcmObject to an ostream using operator<< More...

## Public Member Functions
| PrintHelper (DcmObject &dcmobj, size_t flags=0, int level=0)
| construct a PrintHelper

## Private Member Functions
PrintHelper & | operator= (PrintHelper &)
| Undefined assignment operator.

## Detailed Description

helper class to print a DcmObject to an ostream using operator<<

## Constructor & Destructor Documentation

## ◆ PrintHelper()

DcmObject::PrintHelper::PrintHelper | ( | DcmObject & | dcmobj,
|  | size_t | flags = 0,
|  | int | level = 0 )
| inline explicit

construct a PrintHelper

Parameters

  dcmobj | DcmObject you want to print
  flags | flags to use for DcmObject::print()
  level | level to use for DcmObject::print()

References DcmObject::DcmObject().

Referenced by operator=().

## Member Function Documentation

## ◆ operator=()

PrintHelper & DcmObject::PrintHelper::operator= | ( | PrintHelper & |  | ) |
| private

Undefined assignment operator.

This is needed to work around a compiler warning on VC2008 with the highest warning level.

References PrintHelper().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcobject.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2